Bug 819973 - After setting disk limit for directory with colon in its name, quota command fails for all directories
After setting disk limit for directory with colon in its name, quota command ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.2.6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: vpshastry
: Triaged
Depends On:
Blocks: 848251
  Show dependency treegraph
 
Reported: 2012-05-08 14:52 EDT by Mitsue
Modified: 2014-08-11 19:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848251 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:18:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mitsue 2012-05-08 14:52:20 EDT
Description of problem: quota command fails for directory with colon in its name


Version-Release number of selected component (if applicable): Glusterfs_3.2.6-1


How reproducible: Always


Steps to Reproduce:

1. Set disk limit for a directory with colon in its name:

# gluster volume quota testeGluster limit-usage /domain/users/teste\:cal 5GB 

  
Actual results: 

Display disk limit:

# gluster volume quota testeGluster list 

  path          limit_set         size
----------------------------------------------------------------------------------

/domain          30GB
/domain/users/abacate       10GB
/domain/users/adailton       10GB
/domain/users/adiministrativo       10GB
/domain/users/administrativo       10GB
/domain/users/agv       10GB
/domain/users/teste    cal:5GB
.
.
umount: /tmp/mntjJiIDt: not mounted

Quota command fails to show disk usage for all directories. Besides, the directory name (teste:cal) appears with blank spaces and below the list there is this message: "umount: /tmp/mntjJiIDt: not mounted" 




Expected results:

~# gluster volume quota testeGluster list


    path          limit_set         size
----------------------------------------------------------------------------------

/domain          30GB               12.2GB
/domain/users/abacate       10GB              376.0KB
/domain/users/adailton       10GB                2.1MB
/domain/users/adiministrativo       10GB               0Bytes
/domain/users/administrativo       10GB               0Bytes
/domain/users/agv       10GB              184.0KB
/domain/users/teste:cal       5GB        2GB


Additional info:

After removing the limit of the directory with colon, quota list command displays the size again.
Comment 1 vpshastry 2012-12-24 01:49:12 EST
Patch http://review.gluster.org/4137 has merged in master.

Note You need to log in before you can comment on or make changes to this bug.